From root@mail.alpha-tierchen.de  Tue Dec 21 19:03:00 2004
Return-Path: <root@mail.alpha-tierchen.de>
Received: from mx1.FreeBSD.org (mx1.freebsd.org [216.136.204.125])
	by hub.freebsd.org (Postfix) with ESMTP id D148D16A4CE
	for <FreeBSD-gnats-submit@freebsd.org>; Tue, 21 Dec 2004 19:03:00 +0000 (GMT)
Received: from mail.efacilitas.de (efacilitas.de [213.133.110.227])
	by mx1.FreeBSD.org (Postfix) with ESMTP id E95B543D2F
	for <FreeBSD-gnats-submit@freebsd.org>; Tue, 21 Dec 2004 19:02:59 +0000 (GMT)
	(envelope-from root@mail.alpha-tierchen.de)
Received: from mail.alpha-tierchen.de (port-212-202-169-228.dynamic.qsc.de [212.202.169.228])
	by mail.efacilitas.de (Postfix) with ESMTP id 42FC91239ED
	for <FreeBSD-gnats-submit@freebsd.org>; Tue, 21 Dec 2004 20:02:55 +0100 (CET)
Received: from localhost (localhost.local [127.0.0.1])
	by mail.alpha-tierchen.de (Postfix) with ESMTP id C8642CCD853
	for <FreeBSD-gnats-submit@freebsd.org>; Tue, 21 Dec 2004 20:02:46 +0100 (CET)
Received: from mail.alpha-tierchen.de ([127.0.0.1])
 by localhost (mail.efacilitas.de [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id 77724-02 for <FreeBSD-gnats-submit@freebsd.org>;
 Tue, 21 Dec 2004 20:02:35 +0100 (CET)
Received: by mail.alpha-tierchen.de (Postfix, from userid 0)
	id 14276CCD852; Tue, 21 Dec 2004 20:02:35 +0100 (CET)
Message-Id: <20041221190235.14276CCD852@mail.alpha-tierchen.de>
Date: Tue, 21 Dec 2004 20:02:35 +0100 (CET)
From: Bjoern Koenig <bkoenig@cs.tu-berlin.de>
Reply-To: Bjoern Koenig <bkoenig@cs.tu-berlin.de>
To: FreeBSD-gnats-submit@freebsd.org
Cc:
Subject: `/etc/rc.d/ppp-user stop` doesn't work
X-Send-Pr-Version: 3.113
X-GNATS-Notify:

>Number:         75365
>Category:       conf
>Synopsis:       `/etc/rc.d/ppp-user stop` doesn't work
>Confidential:   no
>Severity:       non-critical
>Priority:       medium
>Responsible:    freebsd-bugs
>State:          closed
>Quarter:        
>Keywords:       
>Date-Required:  
>Class:          sw-bug
>Submitter-Id:   current-users
>Arrival-Date:   Tue Dec 21 19:10:29 GMT 2004
>Closed-Date:    Thu Dec 30 21:15:21 GMT 2004
>Last-Modified:  Thu Dec 30 21:15:21 GMT 2004
>Originator:     Bjoern Koenig
>Release:        FreeBSD 5.3-STABLE i386
>Organization:
>Environment:
System: FreeBSD hoppel.local 5.3-STABLE FreeBSD 5.3-STABLE #0: Sat Dec 11 18:24:44 CET 2004 root@hoppel.local:/usr/obj/usr/src/sys/HOPPEL i386


	
>Description:
	the execution of `/etc/rc.d/ppp-user stop` won't stop a running ppp process
	
>How-To-Repeat:
	
>Fix:
--- etc/rc.d/ppp-user   Tue Dec 21 19:00:55 2004
+++ etc/rc.d/ppp-user   Tue Dec 21 19:48:36 2004
@@ -11,11 +11,17 @@
 
 name="ppp"
 rcvar="ppp_enable"
+ppp_command="/usr/sbin/${name}"
 start_cmd="ppp_start"
-stop_cmd=":"
+command="${ppp_command}"

 ppp_start()
 {
+	if [ -n "$rc_pid" ]; then
+		echo "${name} already running? (pid=$rc_pid)."
+		exit 1
+	fi
+
 	# Establish ppp mode.
 	#
 	if [ "${ppp_mode}" != "ddial" -a "${ppp_mode}" != "direct" \
@@ -24,7 +30,7 @@
 		ppp_mode="auto"
 	fi
 
-	ppp_command="/usr/sbin/ppp -quiet -${ppp_mode}"
+	ppp_command="${ppp_command} -quiet -${ppp_mode}"
 
 	# Switch on NAT mode?
 	#
>Release-Note:
>Audit-Trail:

From: =?utf-8?B?QmrDtnJuIEvDtm5pZw==?= <bkoenig@cs.tu-berlin.de>
To: <freebsd-gnats-submit@FreeBSD.org>
Cc:  
Subject: Re: conf/75365: `/etc/rc.d/ppp-user stop` doesn't work
Date: Tue, 21 Dec 2004 20:26:03 +0100

 The patch also prevents from starting multiple ppp processes.
 

From: =?utf-8?B?QmrDtnJuIEvDtm5pZw==?= <bkoenig@cs.tu-berlin.de>
To: <freebsd-gnats-submit@FreeBSD.org>
Cc:  
Subject: Re: conf/75365: `/etc/rc.d/ppp-user stop` doesn't work
Date: Thu, 30 Dec 2004 21:59:06 +0100

 Please close this PR. It is invalid and unfounded since conf/72505 =
 solved this concern in -current.
 
State-Changed-From-To: open->closed 
State-Changed-By: linimon 
State-Changed-When: Thu Dec 30 21:14:48 GMT 2004 
State-Changed-Why:  
Closed at submitter's request. 

http://www.freebsd.org/cgi/query-pr.cgi?pr=75365 
>Unformatted:
